## org.apache.felix.httplite.servlet
Class UnimplementedAPIException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.felix.httplite.servlet.UnimplementedAPIException

All Implemented Interfaces:
  java.io.Serializable

    public class UnimplementedAPIException

extends java.lang.RuntimeException

A specific exception for unimplemented features. Used rather than RuntimeException() to make it easier to find where unimplemented features are in the source code.

See Also:
  Serialized Form

Constructor Summary
`UnimplementedAPIException()`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnimplementedAPIException

    public UnimplementedAPIException()

Copyright © 2006-2012 The Apache Software Foundation. All Rights Reserved.